@font-face {
    font-family: 'fontawesome';
    src: url('/deticatepage/PublicPage17/css/fonts/fontawesome/fontawesome.eot');
    src: url('/deticatepage/PublicPage17/css/fonts/fontawesome/fontawesome.eot?#iefix') format('embedded-opentype'), url('/deticatepage/PublicPage17/css/fonts/fontawesome/fontawesome.woff') format('woff'), url('/deticatepage/PublicPage17/css/fonts/fontawesome/fontawesome.ttf') format('truetype'), url('/deticatepage/PublicPage17/css/fonts/fontawesome/fontawesome.svg#fontawesome') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* Main container */
.cbp-vm-switcher {
    padding: 20px;
    border: 3px solid lightgray;
}

/* options/select wrapper with switch anchors */
.cbp-vm-options {
    text-align: right;
    padding-bottom: 10px;
    border-bottom: 3px solid lightgray;
}

    .cbp-vm-options a {
        display: inline-block;
        width: 40px;
        height: 40px;
        overflow: hidden;
        white-space: nowrap;
        color: #d0d0d0;
        margin: 2px;
    }

        .cbp-vm-options a:hover,
        .cbp-vm-options a.cbp-vm-selected {
            color: lightgray;
        }

        .cbp-vm-options a:before {
            width: 40px;
            height: 40px;
            line-height: 40px;
            font-size: 30px;
            text-align: center;
            display: inline-block;
        }

/* General style of switch items' list */

.cbp-vm-switcher ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

    /* Clear eventual floats */
    .cbp-vm-switcher ul:before,
    .cbp-vm-switcher ul:after {
        content: " ";
        display: table;
    }

    .cbp-vm-switcher ul:after {
        clear: both;
    }

    .cbp-vm-switcher ul li {
        display: block;
        position: relative;
    }

.cbp-vm-image {
    display: block;
    margin: 0 auto;
}

    .cbp-vm-image img {
        display: inline-block;
        max-width: 100%;
        border: none;
        height: 200px;
        width: 100%;
    }

.cbp-vm-title {
    margin: 0;
    padding: 0;
}

.cbp-vm-price {
    color: #c0c0c0;
}

.cbp-vm-add {
    color: #fff;
    background: #47a3da;
    padding: 10px 20px;
    border-radius: 2px;
    margin: 20px 0 0;
    display: inline-block;
    transition: background 0.2s;
}

    .cbp-vm-add:hover {
        color: #fff;
        background: #02639d;
    }

    .cbp-vm-add:before {
        margin-right: 5px;
    }

/* Common icon styles */
.cbp-vm-icon:before {
    font-family: 'fontawesome';
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}

.cbp-vm-grid:before {
    content: "\f00a";
}

.cbp-vm-list:before {
    content: "\f00b";
}

.cbp-vm-add:before {
    content: "\f055";
}

/* Individual view mode styles */

/* Large grid view */
.cbp-vm-view-grid ul {
    text-align: center;
}

    .cbp-vm-view-grid ul li {
        width: 32.9%;
        text-align: center;
        padding: 25px;
        margin: 20px 0 0;
        display: inline-block;
        min-height: 420px;
        vertical-align: top;
    }

.cbp-vm-view-grid .cbp-vm-title {
    padding-top: 20px;
    height: 69px;
}

.cbp-vm-view-grid .cbp-vm-details {
    max-width: 300px;
    min-height: 80px;
    margin: 0 auto;
    padding-top: 30px;
    line-height: 20px;
}

.cbp-vm-view-grid .cbp-vm-price {
    margin: 10px 0;
    font-size: 1.5em;
}

.btn-send {
    color: inherit;
    font: inherit;
    margin: 0;
    -webkit-appearance: button;
    cursor: pointer;
    align-items: flex-start;
    text-align: center;
    cursor: default;
    color: buttontext;
    padding: 2px 6px 3px;
    border: 2px outset buttonface;
    border-image-source: initial;
    border-image-slice: initial;
    border-image-width: initial;
    border-image-outset: initial;
    border-image-repeat: initial;
    background-color: buttonface;
    box-sizing: border-box;
    max-width: 60px;
    margin-right: auto;
    margin-left: auto;
    background-color: #FFFFFF;
    color: #444;
    padding: 0px;
    background-color: lightgray;
    color: #fff;
}

/* List view */
.cbp-vm-view-list li {
    padding: 20px 0;
    white-space: nowrap;
}

.cbp-vm-view-list .cbp-vm-image,
.cbp-vm-view-list .cbp-vm-title,
.cbp-vm-view-list .cbp-vm-details,
.cbp-vm-view-list .cbp-vm-price,
.cbp-vm-view-list .cbp-vm-add {
    display: inline-block;
    vertical-align: middle;
}

.cbp-vm-view-list .cbp-vm-image {
    width: 30%;
}

.cbp-vm-view-list .cbp-vm-title {
    font-size: 1.3em;
    padding: 0 10px;
    white-space: normal;
    width: 23%;
}

.cbp-vm-view-list .cbp-vm-price {
    font-size: 1.3em;
    width: 10%;
}

.cbp-vm-view-list .cbp-vm-details {
    width: 40%;
    padding: 0 15px;
    white-space: normal;
    padding-top: 40px;
    line-height: 20px;
}

.cbp-vm-view-list .cbp-vm-add {
    margin: 0;
}

@media screen and (max-width: 66.7em) {
    .cbp-vm-view-list .cbp-vm-details {
        width: 30%;
    }
}

@media screen and (max-width: 57em) {
    .cbp-vm-view-grid ul li {
        width: 49%;
    }
}

@media screen and (max-width: 47.375em) {
    .cbp-vm-view-list .cbp-vm-image {
        width: 20%;
    }

    .cbp-vm-view-list .cbp-vm-title {
        width: auto;
    }

    .cbp-vm-view-list .cbp-vm-details {
        display: block;
        width: 100%;
        margin: 10px 0;
    }

    .cbp-vm-view-list .cbp-vm-add {
        margin: 10px;
    }
}

@media screen and (max-width: 40.125em) {
    .cbp-vm-view-grid ul li {
        width: 100%;
    }
}
